#!/usr/bin/env node
var prompt = require('prompt');
var program = require('commander');
var package = require('./package.json');
var bundle = require('./libs/bundle');
var path = require('path');
var output = "output";
var temp = "temp";

require('shelljs/global');

if (!which('git')) {
    echo('Sorry, this script requires git');
    exit(1);
}
program
    .version(package.version)
    .option('-b, --bundle', 'generate bundle')
    .option('-d, --diffZip [old] [new] [dest]', 'generate diff zip')
    .parse(process.argv);
program
    .on('--help', function(){
});

if (program.bundle) {
    prompt.start();
    prompt.get([{
        name: 'platform',
        description: 'platform (Android or IOS)',
        type: 'string',
        required: true
    }], function(err, result) {
        bundle.generateBundle(result.platform.toLowerCase());
    });
};

if (program.diffZip) {
    var args = program.args;
    if (args.length != 1) {
        console.log('arguments error');
    }
    var origin = program.diffZip;
    var next = args[0];
    var output = args[1];
    if (isZipFile) {
        bundle.diffZip(origin, next, output);
    }
}

function isZipFile(file) {
    return /\.zip/.test(oldFile);
}


